=== added directory 'sale_automatic_workflow'
=== added file 'sale_automatic_workflow/__init__.py'
--- sale_automatic_workflow/__init__.py	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/__init__.py	2012-04-22 12:49:21 +0000
@@ -0,0 +1,31 @@
+# -*- encoding: utf-8 -*-
+#################################################################################
+#                                                                               #
+#    sale_automatic_workflow for OpenERP                                        #
+#    Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>   #
+#                                                                               #
+#    This program is free software: you can redistribute it and/or modify       #
+#    it under the terms of the GNU Affero General Public License as             #
+#    published by the Free Software Foundation, either version 3 of the         #
+#    License, or (at your option) any later version.                            #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Affero General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Affero General Public License   #
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
+#                                                                               #
+#################################################################################
+
+
+import sale
+import sale_workflow_process
+import payment_method
+import automatic_workflow_job
+
+
+
+
+

=== added file 'sale_automatic_workflow/__openerp__.py'
--- sale_automatic_workflow/__openerp__.py	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/__openerp__.py	2012-04-22 12:49:21 +0000
@@ -0,0 +1,45 @@
+# -*- encoding: utf-8 -*-
+#################################################################################
+#                                                                               #
+#    sale_automatic_workflow for OpenERP                                        #
+#    Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>   #
+#                                                                               #
+#    This program is free software: you can redistribute it and/or modify       #
+#    it under the terms of the GNU Affero General Public License as             #
+#    published by the Free Software Foundation, either version 3 of the         #
+#    License, or (at your option) any later version.                            #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Affero General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Affero General Public License   #
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
+#                                                                               #
+#################################################################################
+
+
+{
+    'name': 'sale_automatic_workflow',
+    'version': '0.1',
+    'category': 'Generic Modules/Others',
+    'license': 'AGPL-3',
+    'description': """empty""",
+    'author': 'Akretion',
+    'website': 'http://www.akretion.com/',
+    'depends': ['sale_quick_payment'], 
+    'init_xml': [],
+    'update_xml': [ 
+            'sale_view.xml',
+            'sale_workflow.xml',
+#            'invoice_workflow.xml',
+#            'stock_workflow.xml',
+            'sale_workflow_process_view.xml',
+            'payment_method_view.xml',
+    ],
+    'demo_xml': [],
+    'installable': True,
+    'active': False,
+}
+

=== added file 'sale_automatic_workflow/automatic_workflow_job.py'
--- sale_automatic_workflow/automatic_workflow_job.py	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/automatic_workflow_job.py	2012-04-22 12:49:21 +0000
@@ -0,0 +1,69 @@
+# -*- encoding: utf-8 -*-
+#################################################################################
+#                                                                               #
+#    sale_automatic_workflow for OpenERP                                        #
+#    Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>   #
+#                                                                               #
+#    This program is free software: you can redistribute it and/or modify       #
+#    it under the terms of the GNU Affero General Public License as             #
+#    published by the Free Software Foundation, either version 3 of the         #
+#    License, or (at your option) any later version.                            #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Affero General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Affero General Public License   #
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
+#                                                                               #
+#################################################################################
+
+
+from osv import osv
+import netsvc
+import logging
+from tools.translate import _
+
+#Some comment about the implementation
+#In order to validate the invoice the picking we have to use schedule action
+#Indeed, if we directly jump the various step in the workflow of the invoice and the picking
+#the sale order workflow will be broken
+#The explication is "simple"
+#Example with the invoice workflow
+#When we are in the sale order at the step router
+#a transiotion like a signal or condition will change the step of the workflow to the step 'invoice'
+#the fact to enter in this step will launch the creation of the invoice
+#if the invoice in directly validated and reconcilled with the payment
+#the subworkflow will end and send a signal to the sale order workflow
+#the problem is that the sale order workflow have not finish to apply the step invoice
+#and so the signal of the subworkflow will be lost
+#because the step invoice is still not finish
+#The step invoice should be finish before receiving the signal
+#this is meant that we can not directly validated every step of the workflow invoice_amount
+#it the same with the picking workflow_method
+
+#If my explication is not clear contact me by email and I will imporve it: sebastien.beau@akretion.com
+
+
+class automatic_workflow_job(osv.osv):
+    """
+    Scheduler that will play automatically the validation on invoice, picking...
+    """
+    _name = 'automatic.workflow.job'
+
+    def run(self, cr, uid, ids=None, context=None):
+        logger = logging.getLogger(__name__)
+        wf_service = netsvc.LocalService("workflow")
+        invoice_obj = self.pool.get('account.invoice')
+        invoice_ids = invoice_obj.search(cr, uid, [('state', 'in', ['draft']), ('workflow_process_id.validate_invoice', '=',True)], context=context)
+        if invoice_ids:
+            logger.debug(_('start to validate invoice : %s') %invoice_ids)
+        for invoice_id in invoice_ids:
+            wf_service.trg_validate(uid, 'account.invoice', invoice_id, 'invoice_open', cr)
+        picking_obj = self.pool.get('stock.picking')
+        picking_ids = picking_obj.search(cr, uid, [('state', 'in', ['draft', 'confirmed', 'assigned']), ('workflow_process_id.validate_picking', '=',True)], context=context)
+        if picking_ids:
+            logger.debug(_('start to validate pickings : %s') %picking_ids)
+            picking_obj.validate_picking(cr, uid, picking_ids, context=context)
+        return True

=== added file 'sale_automatic_workflow/payment_method.py'
--- sale_automatic_workflow/payment_method.py	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/payment_method.py	2012-04-22 12:49:21 +0000
@@ -0,0 +1,35 @@
+# -*- encoding: utf-8 -*-
+#################################################################################
+#                                                                               #
+#    sale_automatic_workflow for OpenERP                                        #
+#    Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>   #
+#                                                                               #
+#    This program is free software: you can redistribute it and/or modify       #
+#    it under the terms of the GNU Affero General Public License as             #
+#    published by the Free Software Foundation, either version 3 of the         #
+#    License, or (at your option) any later version.                            #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Affero General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Affero General Public License   #
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
+#                                                                               #
+#################################################################################
+
+
+from osv import osv, fields
+import netsvc
+
+
+class payment_method(osv.osv):
+    _inherit = "payment.method"
+    
+
+    _columns = {
+        'workflow_process_id': fields.many2one('sale.workflow.process', 'Workflow Process'),
+
+    }
+

=== added file 'sale_automatic_workflow/payment_method_view.xml'
--- sale_automatic_workflow/payment_method_view.xml	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/payment_method_view.xml	2012-04-22 12:49:21 +0000
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!--
+  sale_quick_payment for OpenERP
+  Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>
+  The licence is in the file __openerp__.py
+-->
+
+<openerp>
+    <data>
+
+        <!-- VIEW FOR THE OBJECT : payment_method -->
+        <record id="payment_method_view_form" model="ir.ui.view">
+            <field name="name">sale_automatic_workflow.payment_method.view_form</field>
+            <field name="model">payment.method</field>
+            <field name="inherit_id" ref="sale_quick_payment.payment_method_view_form" />
+            <field eval="16" name="priority"/>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <field name="payment_term_id" position="after">
+                    <field name="workflow_process_id" />
+                </field>
+            </field>
+        </record>
+
+        <record id="payment_method_view_tree" model="ir.ui.view">
+            <field name="name">sale_automatic_workflow.payment_method.view_tree</field>
+            <field name="model">payment.method</field>
+            <field name="inherit_id" ref="sale_quick_payment.payment_method_view_tree" />
+            <field eval="16" name="priority"/>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <field name="payment_term_id" position="after">
+                    <field name="workflow_process_id" />
+                </field>
+            </field>
+        </record>
+
+    </data>
+</openerp>

=== added file 'sale_automatic_workflow/sale.py'
--- sale_automatic_workflow/sale.py	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/sale.py	2012-04-22 12:49:21 +0000
@@ -0,0 +1,117 @@
+# -*- encoding: utf-8 -*-
+#################################################################################
+#                                                                               #
+#    sale_automatic_workflow for OpenERP                                        #
+#    Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>   #
+#                                                                               #
+#    This program is free software: you can redistribute it and/or modify       #
+#    it under the terms of the GNU Affero General Public License as             #
+#    published by the Free Software Foundation, either version 3 of the         #
+#    License, or (at your option) any later version.                            #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Affero General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Affero General Public License   #
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
+#                                                                               #
+#################################################################################
+from osv import osv, fields
+import netsvc
+
+class sale_order(osv.osv):
+    _inherit = "sale.order"
+    _columns = {
+        'workflow_process_id':fields.related('payment_method_id', 'workflow_process_id', \
+            type='many2one',relation='sale.workflow.process', string='Workflow Process', readonly=True),
+    }
+
+    def _prepare_invoice(self, cr, uid, order, lines, context=None):
+        invoice_vals = super(sale_order, self)._prepare_invoice(cr, uid, order, lines, context=context)
+        invoice_vals['workflow_process_id'] = order.workflow_process_id.id
+        return invoice_vals
+
+    def _prepare_order_picking(self, cr, uid, order, context=None):
+        picking_vals = super(sale_order, self)._prepare_order_picking(cr, uid, order, context=context)
+        picking_vals['workflow_process_id'] = order.workflow_process_id.id
+        return picking_vals
+
+class stock_picking(osv.osv):
+    _inherit = "stock.picking"
+    _columns = {
+        'workflow_process_id':fields.many2one('sale.workflow.process', 'Sale Workflow Process'),
+    }
+
+    def _prepare_invoice(self, cr, uid, picking, partner, inv_type, journal_id, context=None):
+        invoice_vals = super(stock_picking, self)._prepare_invoice(cr, uid, picking, partner, \
+                                                            inv_type, journal_id, context=context)
+        invoice_vals['workflow_process_id'] = picking.workflow_process_id
+        return invoice_vals
+
+    def validate_picking(self, cr, uid, ids, context=None):
+        for picking in self.browse(cr, uid, ids, context=context):
+            self.force_assign(cr, uid, [picking.id])
+            partial_data = {}
+            for move in picking.move_lines:
+                partial_data["move" + str(move.id)] = {'product_qty': move.product_qty, 
+                                                       'product_uom': move.product_uom.id}
+            self.do_partial(cr, uid, [picking.id], partial_data)
+        return True
+
+#TODO reimplement me
+#    def validate_manufactoring_order(self, cr, uid, origin, context=None): #we do not create class mrp.production to avoid dependence with the module mrp
+#        if context is None:
+#            context = {}
+#        wf_service = netsvc.LocalService("workflow")
+#        mrp_prod_obj = self.pool.get('mrp.production')
+#        mrp_product_produce_obj = self.pool.get('mrp.product.produce')
+#        production_ids = mrp_prod_obj.search(cr, uid, [('origin', 'ilike', origin)])
+#        for production in mrp_prod_obj.browse(cr, uid, production_ids):
+#            mrp_prod_obj.force_production(cr, uid, [production.id])
+#            wf_service.trg_validate(uid, 'mrp.production', production.id, 'button_produce', cr)
+#            context.update({'active_model': 'mrp.production', 'active_ids': [production.id], 'search_default_ready': 1, 'active_id': production.id})
+#            produce = mrp_product_produce_obj.create(cr, uid, {'mode': 'consume_produce', 'product_qty': production.product_qty}, context)
+#            mrp_product_produce_obj.do_produce(cr, uid, [produce], context)
+#            self.validate_manufactoring_order(cr, uid, production.name, context)
+#        return True
+#        
+
+class account_invoice(osv.osv):
+    _inherit = "account.invoice"
+    _columns = {
+        'workflow_process_id':fields.many2one('sale.workflow.process', 'Sale Workflow Process'),
+        #TODO propose a merge to add this field by default in acount module
+        'sale_ids': fields.many2many('sale.order', 'sale_order_invoice_rel', 'invoice_id', 'order_id', 'Sale Orders')
+    }
+
+    def reconcile_invoice(self, cr, uid, ids, context=None):
+        """
+        Simple method to reconcile the invoice with the payment generated on the sale order
+        """
+        obj_move_line = self.pool.get('account.move.line')
+        for invoice in self.browse(cr, uid, ids, context=context):
+            line_ids = []
+            payment_amount = 0
+            invoice_amount = 0
+            if invoice.sale_ids and invoice.sale_ids[0].payment_id and invoice.move_id:
+                for move in invoice.sale_ids[0].payment_id.move_ids:
+                    if move.credit > 0 and not move.reconcile_id:
+                        line_ids.append(move.id)
+                        payment_amount += move.credit
+                for move in invoice.move_id.line_id:
+                    if move.debit > 0 and not move.reconcile_id:
+                        line_ids.append(move.id)
+                        invoice_amount += move.debit
+            balance = abs(payment_amount-invoice_amount)
+            precision = self.pool.get('decimal.precision').precision_get(cr, uid, 'Account')
+            if line_ids and not round(balance, precision):
+                obj_move_line.reconcile(cr, uid, line_ids, context=context)
+        return True
+
+
+    def test_paid(self, cr, uid, ids, context=None):
+        self.reconcile_invoice(cr, uid, ids, context=context)
+        return super(account_invoice, self).test_paid(cr, uid, ids, context)
+

=== added file 'sale_automatic_workflow/sale_view.xml'
--- sale_automatic_workflow/sale_view.xml	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/sale_view.xml	2012-04-22 12:49:21 +0000
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!--
+  sale_automic_workflow for OpenERP
+  Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>
+  The licence is in the file __openerp__.py
+-->
+
+<openerp>
+    <data>
+    
+        <!-- INHERITED VIEW FOR THE OBJECT : sale_order -->
+
+        <record id="sale_order_view_form" model="ir.ui.view">
+            <field name="name">sale_automatic_workflow.sale_order.view_form</field>
+            <field name="model">sale.order</field>
+            <field name="inherit_id" ref="sale.view_order_form" />
+            <field eval="16" name="priority"/>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <field name="note" position="after">
+                    <group name="Automatic Workflow" colspan="2" col="2">
+                        <separator string="Automatic Workflow" colspan="2"/>
+                        <field name="workflow_process_id" />
+                    </group>
+                </field>
+            </field>
+        </record>
+
+    </data>
+</openerp>

=== added file 'sale_automatic_workflow/sale_workflow.xml'
--- sale_automatic_workflow/sale_workflow.xml	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/sale_workflow.xml	2012-04-22 12:49:21 +0000
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <record id="trans_wait_invoice_invoice" model="workflow.transition">
+            <field name="act_from" ref="sale.act_wait_invoice"/>
+            <field name="act_to" ref="sale.act_invoice"/>
+            <field name="condition">(order_policy=='manual' and workflow_process_id.create_invoice)</field>
+        </record>
+
+    </data>
+</openerp>

=== added file 'sale_automatic_workflow/sale_workflow_process.py'
--- sale_automatic_workflow/sale_workflow_process.py	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/sale_workflow_process.py	2012-04-22 12:49:21 +0000
@@ -0,0 +1,59 @@
+# -*- encoding: utf-8 -*-
+#################################################################################
+#                                                                               #
+#    sale_automatic_workflow for OpenERP                                        #
+#    Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>   #
+#                                                                               #
+#    This program is free software: you can redistribute it and/or modify       #
+#    it under the terms of the GNU Affero General Public License as             #
+#    published by the Free Software Foundation, either version 3 of the         #
+#    License, or (at your option) any later version.                            #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Affero General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Affero General Public License   #
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
+#                                                                               #
+#################################################################################
+
+from osv import osv, fields
+import netsvc
+
+
+class sale_workflow_process(osv.osv):
+    _name = "sale.workflow.process"
+    _description = "sale workflow process"
+
+    _columns = {
+        'name': fields.char('Name', size=64),
+        'picking_policy': fields.selection([('direct', 'Partial Delivery'), ('one', 'Complete Delivery')], 'Packing Policy'),
+        'order_policy': fields.selection([
+            ('prepaid', 'Payment Before Delivery'),
+            ('manual', 'Shipping & Manual Invoice'),
+            ('postpaid', 'Invoice on Order After Delivery'),
+            ('picking', 'Invoice from the Packing'),
+        ], 'Shipping Policy'),
+        'invoice_quantity': fields.selection([('order', 'Ordered Quantities'), ('procurement', 'Shipped Quantities')], 'Invoice on'),
+        'is_auto_reconcile': fields.boolean('Auto-reconcile', help="If checked, will try to reconcile the Customer Payment (voucher) and the open invoice by matching the origin."),
+        'validate_order': fields.selection([('always', 'Always'), ('if_paid', 'Only If Paid'), ('never', 'Never')], 'Validate Order'),
+        'create_invoice': fields.boolean('Create Invoice'),
+        'validate_invoice': fields.boolean('Validate Invoice'),
+        'validate_picking': fields.boolean('Validate Picking'),
+        'validate_manufactoring_order': fields.boolean('Validate Manufactoring Order'),
+        'days_before_order_cancel': fields.integer('Days Delay before Cancel', help='number of days before an unpaid order will be cancelled at next status update from Magento'),
+        'invoice_date_is_order_date' : fields.boolean('Force Invoice Date', help="If it's check the invoice date will be the same as the order date"),
+    }
+
+    _defaults = {
+        'picking_policy': lambda *a: 'direct',
+        'order_policy': lambda *a: 'manual',
+        'invoice_quantity': lambda *a: 'order',
+        'is_auto_reconcile': lambda *a: False,
+        'validate_invoice': lambda *a: False,
+        'days_before_order_cancel': lambda *a: 30,
+    }
+
+

=== added file 'sale_automatic_workflow/sale_workflow_process_view.xml'
--- sale_automatic_workflow/sale_workflow_process_view.xml	1970-01-01 00:00:00 +0000
+++ sale_automatic_workflow/sale_workflow_process_view.xml	2012-04-22 12:49:21 +0000
@@ -0,0 +1,81 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!--
+  sale_automic_workflow for OpenERP
+  Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>
+  The licence is in the file __openerp__.py
+-->
+
+<openerp>
+    <data>
+
+        <!-- VIEW FOR THE OBJECT : sale_workflow_process -->
+        <record id="sale_workflow_process_view_form" model="ir.ui.view">
+            <field name="name">sale_automic_workflow.sale_workflow_process.view_form</field>
+            <field name="model">sale.workflow.process</field>
+            <field eval="16" name="priority"/>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <form string="sale_workflow_process">
+                    <field name="name"/>
+                    <separator string="Order Configuration" colspan="4" />
+                    <field name="picking_policy"/>
+                    <field name="order_policy"/>
+                    <field name="invoice_quantity"/>
+                    <separator string="Worflow Option" colspan="4" />
+                    <field name="validate_order"/>
+                    <field name="validate_picking"/>
+                    <field name="validate_manufactoring_order"/>
+                    <field name="create_invoice" />
+                    <field name="validate_invoice"/>
+                    <field name="invoice_date_is_order_date"/>
+                    <field name="days_before_order_cancel"/>
+
+                </form>
+            </field>
+        </record>
+
+        <record id="sale_workflow_process_view_tree" model="ir.ui.view">
+            <field name="name">sale_automic_workflow.sale_workflow_process.view_tree</field>
+            <field name="model">sale.workflow.process</field>
+            <field eval="16" name="priority"/>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="sale_workflow_process">
+                    <field name="name"/>
+                    <field name="picking_policy"/>
+                    <field name="order_policy"/>
+                    <field name="invoice_quantity"/>
+                    <field name="validate_order"/>
+                    <field name="validate_picking"/>
+                    <field name="validate_manufactoring_order"/>
+                    <field name="create_invoice" />
+                    <field name="validate_invoice"/>
+                    <field name="invoice_date_is_order_date"/>
+                    <field name="days_before_order_cancel"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="act_sale_workflow_process_form" model="ir.actions.act_window">
+            <field name="name">Sale Workflow Method</field>
+            <field name="res_model">sale.workflow.process</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+        </record>
+
+        <menuitem action="act_sale_workflow_process_form" id="menu_act_sale_workflow_process_form" parent="base.menu_sale_config_sales" sequence="20"/>
+
+        <record forcecreate="True" id="ir_cron_automatic_workflow_job" model="ir.cron">
+            <field name="name">Automatic Workflow Job</field>
+            <field eval="True" name="active"/>
+            <field name="user_id" ref="base.user_root"/>
+            <field name="interval_number">1</field>
+            <field name="interval_type">minutes</field>
+            <field name="numbercall">-1</field>
+            <field eval="False" name="doall"/>
+            <field eval="'automatic.workflow.job'" name="model"/>
+            <field eval="'run'" name="function"/>
+            <field eval="'()'" name="args"/>
+        </record>
+    </data>
+</openerp>

